"use strict";
(function ($) {
    $.view_list_employee = function (element, options) {
        var defaults = {
            class_name_drawerel: ""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '20%'
            });
            $element.find('select#searchByVendor').select2();
            $element.find('select#searchByVendor').on('change', function () {
                let $form = $(this).closest('form[name="admin-form"]');
                $form.submit();
            });

        };

        plugin.example_function = function () {
        };
        plugin.init();
    };
    $.fn.view_list_employee = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_employee')) {
                var plugin = new $.view_list_employee(this, options);
                $(this).data('view_list_employee', plugin);
            }
        });
    }
})(jQuery);
